/**
 * la classe contiene tutte le informazioni sul proxy da utilizzare
 */

public class ProxySessionInfo {

   /** indirzzo del proxy */
   private String sProxy = null;
   /** porta del proxy */
   private int iPort = 0;


   public ProxySessionInfo() {
   }

   /**
    * costruttore della classe ProxySessionInfo
    * @param sProxy e' l'indirizzo del proxy
    * @param iPort e' la porta del proxy
    */
   public ProxySessionInfo(String sProxy,int iPort) {
      this.sProxy = sProxy;
      this.iPort = iPort;
   }

   /**
    * setta l'ndirizzo del sProxy
    * @param sProxy e' l'indirizzo del proxy
    */
   public void setProxy(String sProxy) {
      this.sProxy = sProxy;
   }

   /**
    * prende il valore della variabile sProxy
    * return l'indirizzo del proxy
    */
   public String getProxy() {
      return sProxy;
   }

   /**
    * setta la porta del proxy
    * @param iPort e' la porta del proxy
    */
   public void setPort(int iPort) {
      this.iPort = iPort;
   }


   /**
    * prende la prota del proxy
    * @return porta del proxy
    */
   public int getPort() {
      return iPort;
   }


   public String toString() {
      return ("Indizirro : " + sProxy + ":" + iPort);
   }


}
